org.apache.jmeter.util

## Class LocaleChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.jmeter.util.LocaleChangeEvent

- All Implemented Interfaces:
    Serializable

      public class LocaleChangeEvent
      extends EventObject

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleChangeEvent(Object source)`
    `LocaleChangeEvent(Object source, Locale locale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `getLocale()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocaleChangeEvent

          public LocaleChangeEvent(Object source)

    - #### LocaleChangeEvent

          public LocaleChangeEvent(Object source,
                                   Locale locale)

  - ### Method Detail

    - #### getLocale

          public Locale getLocale()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.